# frozen_string_literal: true

#
# Cookbook:: myDevOpsProject
# Recipe:: install_nginx
#
# Copyright:: 2020, The Authors, All Rights Reserved.

apt_update 'daily' do
  frequency 86_400
  action :periodic
end

package 'git'
package 'tree'

package 'nginx' do
  action :install
end

service 'nginx' do
  action [:enable, :start]
end

cookbook_file node['myDevOpsProject']['webserver']['index_path'] do
  source 'index.html'
  mode '0644'
end

template node['myDevOpsProject']['webserver']['conf_path'] do
  source 'nginx.conf.erb'
  notifies :reload, 'service[nginx]'
end
